### Signal

# RB ShellPlayer::window-title-changed

#### Declaration

    void
    window_title_changed (
      RBShellPlayer* self,
      gchar* title,
      gpointer user_data
    )

#### Description [src]

Emitted when the main window title text should be changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`title`

  Type: `gchar*`

  The new window title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.